<template>
    <div v-on:click="setValue()">
        value1: {{ value1 }} <br />
        value2: {{ value2() }} <br />
        value2: {{ value2() }} <br />
        value3: {{ value3 }} <br />
        value1Times10: {{ value1Times10 }} <br />
        value1Times10: {{ value1Times10 }} <br />
    </div>
</template>

<script>
export default {
    data() {
        return {
            value1: 1
        };
    },
    computed: {
        value3() {
            console.log('value3');
            return 3;
        },
        value1Times10() {
            console.log('value1Times10');
            return this.value1 * 10;
        }
    },
    methods: {
        value2() {
            console.log('value2');
            return 2;
        },
        setValue() {
            console.log('setValue');
            this.value1 = 2;
        }
    }
};
</script>

<style></style>
